<template>
  <div
    :style="`
      --custom-transition-slide-enter-time: all ${props.t}s ease;
      --custom-transition-slide-leave-time: all ${props.t}s;
      min-height: inherit;
  `"
  >
    <transition name="slide-fade" mode="out-in">
      <slot />
    </transition>
  </div>
</template>

<script setup>
const props = defineProps({
  t: {
    type: [Number, String],
    required: false,
    default: 0.15,
  },
});
</script>

<style>
.slide-fade-enter-active {
  transition: var(--custom-transition-slide-enter-time);
}

.slide-fade-leave-active {
  transition: var(--custom-transition-slide-leave-time);
}

.slide-fade-enter-from,
.slide-fade-leave-to {
  transform: translateX(20px);
  opacity: 0;
}
</style>
